import pandas as pd

# 读取Excel文件


def getVideoInfoInXlxs(xlsx_file):
    df = pd.read_excel(xlsx_file, engine='openpyxl')

    feature_data = []
    for index, row in df.iterrows():
        item = {}
        item['videoid'] = row['videoid']
        item['title'] = row['title']
        item['video_path'] = row['video_path']
        feature_data.append(item)

    feature_df = pd.DataFrame(feature_data)
    return feature_df
